Name: tendrl-node-agent
Version: 1.5.4
Release: 16%{?dist}
BuildArch: noarch
Summary: Module for Tendrl Node Agent
Source0: %{name}-%{version}.tar.gz
License: LGPLv2+
URL: https://github.com/Tendrl/node-agent

Patch0: 0001-Remove-glusterfs_repo-var-from-conf-file.patch

BuildRequires: python-urllib3
BuildRequires: python2-devel
BuildRequires: pytest
BuildRequires: systemd
BuildRequires: python-setuptools

Requires: collectd
Requires: collectd-ping
Requires: python-jinja2
Requires: tendrl-commons
Requires: hwinfo 
Requires: python-netifaces
Requires: python-netaddr
Requires: python-setuptools
Requires: rsyslog

%description
Python module for Tendrl node bridge to manage storage node in the sds cluster

%prep
%setup
%patch0 -p1

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python} setup.py build

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
install -m  0755  --directory $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/node-agent
install -m  0755  --directory $RPM_BUILD_ROOT%{_datadir}/tendrl/node-agent
install -m  0755  --directory $RPM_BUILD_ROOT%{_sharedstatedir}/tendrl
# /usr/lib64 is used instead of using libdir macro because it uses different dir in rhel
install -m  0755  --directory $RPM_BUILD_ROOT/usr/lib64/collectd/gluster/low_weight
install -m  0755  --directory $RPM_BUILD_ROOT/usr/lib64/collectd/gluster/heavy_weight
install -m  0755  --directory $RPM_BUILD_ROOT%{_sysconfdir}/collectd_template
install -Dm 0644 tendrl-node-agent.service $RPM_BUILD_ROOT%{_unitdir}/tendrl-node-agent.service
install -Dm 0644 tendrl-node-agent.socket $RPM_BUILD_ROOT%{_unitdir}/tendrl-node-agent.socket
install -Dm 0640 etc/tendrl/node-agent/node-agent.conf.yaml.sample $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/node-agent/node-agent.conf.yaml
install -Dm 0644 etc/tendrl/node-agent/logging.yaml.syslog.sample $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/node-agent/node-agent_logging.yaml
install -Dm 644 etc/tendrl/node-agent/*.sample $RPM_BUILD_ROOT%{_datadir}/tendrl/node-agent/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rsyslog.d
install -Dm 644 etc/rsyslog.d/tendrl-node-agent.conf $RPM_BUILD_ROOT/%{_sysconfdir}/rsyslog.d/tendrl-node-agent.conf
cp -a tendrl/node_agent/monitoring/collectd/collectors/* $RPM_BUILD_ROOT/usr/lib64/collectd/
cp -a tendrl/node_agent/monitoring/collectd/templates/ceph/* $RPM_BUILD_ROOT%{_sysconfdir}/collectd_template/
cp -a tendrl/node_agent/monitoring/collectd/templates/gluster/* $RPM_BUILD_ROOT%{_sysconfdir}/collectd_template/
cp -a tendrl/node_agent/monitoring/collectd/templates/node/* $RPM_BUILD_ROOT%{_sysconfdir}/collectd_template/

%post
getent group tendrl >/dev/null || groupadd -r tendrl
getent passwd tendrl-user >/dev/null || \
    useradd -r -g tendrl -d /var/lib/tendrl -s /sbin/nologin \
    -c "Tendrl node user" tendrl-user
systemctl enable tendrl-node-agent >/dev/null 2>&1 || :

%systemd_post tendrl-node-agent.service

%preun
%systemd_preun tendrl-node-agent.service

%postun
%systemd_postun_with_restart tendrl-node-agent.service

%check
py.test -v tendrl/node-agent/tests || :

%files -f INSTALLED_FILES
%dir %{_sysconfdir}/tendrl/node-agent
%dir %{_datadir}/tendrl/node-agent
%dir %{_sharedstatedir}/tendrl
%attr(0655, root, root) %{_sysconfdir}/collectd_template/*
%attr(0655, root, root) /usr/lib64/collectd/*

%doc README.rst
%license LICENSE
%{_datadir}/tendrl/node-agent/
%config(noreplace) %{_sysconfdir}/tendrl/node-agent/*.yaml
%{_unitdir}/tendrl-node-agent.service
%{_unitdir}/tendrl-node-agent.socket
%config(noreplace) %{_sysconfdir}/rsyslog.d/tendrl-node-agent.conf

%changelog
* Mon Dec 11 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-16
- Release tendrl-node-agent 1.5.4-16

* Sat Dec 09 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-15
- Release tendrl-node-agent 1.5.4-15

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-14
- Release tendrl-node-agent 1.5.4-14

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-13
- Release tendrl-node-agent 1.5.4-13

* Tue Dec 05 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-10
- Release tendrl-node-agent 1.5.4-10

* Thu Nov 30 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-9
- Release tendrl-node-agent 1.5.4-9

* Mon Nov 27 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-8
- Release tendrl-node-agent 1.5.4-8

* Fri Nov 24 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-7
- Release tendrl-node-agent 1.5.4-7

* Fri Nov 24 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-6
- Release tendrl-node-agent 1.5.4-6

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-5
- Release tendrl-node-agent 1.5.4-5

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-4
- Release tendrl-node-agent 1.5.4-4

* Sat Nov 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-3
- Release tendrl-node-agent 1.5.4-3

* Fri Nov 10 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-2
- Release tendrl-node-agent 1.5.4-2

* Fri Nov 03 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-1
- Release tendrl-node-agent 1.5.4-1

* Sat Oct 14 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-3
  Fix bz#1502012
- Release tendrl-node-agent 1.5.3-3

* Fri Oct 13 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-2
- Release tendrl-node-agent 1.5.3-2

* Thu Oct 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-1
- Release tendrl-node-agent 1.5.3-1

* Mon Jun 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.10
- Release tendrl-node-agent 3.0-alpha.10

* Mon Jun 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.9
- Release tendrl-node-agent 3.0-alpha.9

* Thu Jun 08 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.8
- Release tendrl-commons 3.0-alpha.8

* Mon Jun 05 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.7
- Release tendrl-commons 3.0-alpha.7
- BZ# 1458750

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.6
- Release tendrl-node-agent 3.0-alpha.6

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.5
- Release tendrl-node-agent 3.0-alpha.5

* Fri May 26 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.4
- Release tendrl-node-agent 3.0-alpha.4

* Thu May 25 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.3
- Release tendrl-node-agent 3.0-alpha.3

* Mon May 22 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.2
- Release tendrl-node-agent 3.0-alpha.2

* Sun May 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.1
- Release tendrl-node-agent 3.0-alpha.1

* Fri May 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-node-agent 3.0-alpha

* Sat Apr 01 2017 Rohan Kanade <rkanade@redhat.com> - 1.2.2-1
- Release tendrl-node-agent v1.2.2

* Tue Nov 01 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.1-1
- Initial build.
